[dokuwiki] Re: Update to Greebo fails on two systems, but works on one

  • From: Chris Green <cl@xxxxxxxx>
  • To: dokuwiki@xxxxxxxxxxxxx
  • Date: Thu, 24 May 2018 11:12:39 +0100

On Thu, May 24, 2018 at 11:25:11AM +0200, Andreas Gohr wrote:

I have just upgraded all three to Dokuwiki Greebo.

The desktop xubuntu 16.04 is working OK, the other two fail completely
to start, going to the dokuwiki opening page URL I just get the
following displayed:-

* * @global Input $INPUT */ // update message version - always use a

Seems like you did not just upgrade the wiki. You upgraded your system as
well and PHP is not working at all.

OK, thanks Andi.  I've not changed anything else, I just did the
standard 'copy the new Dokuwiki over the old one'.  So I guess I need
to check PHP versions on the two systems where it's not working.

On the desktop system (xubuntu 16.04) where Dokuwiki is still working
I have PHP 7.0.30 but on the virtual system (ubuntu 16.04) I hadn't
installed PHP 7 so it was showing the PHP version as 5.5.9 which won't
run Greebo.  So I have installed PHP 7.0 there and it now reports its
PHP version as PHP 7.0.30 like the desktop but it's still not working.
I'll check through the apache and PHP configuration, I expect there's
something adrift there.

On the laptop (where it's not working) I have PHP 7.2.5 and it's not
working there.  It's as if Greebo wants something extra that the
previous version didn't.

-- 
Chris Green
-- 
DokuWiki mailing list - more info at
http://www.dokuwiki.org/mailinglist

Other related posts: